Subject: Re: [PATCH RESEND v2] arm64: dts: rockchip: configure hdmirx in Rock 5 ITX

From: Heiko Stuebner <[email-masked]>
Date: Thu, 26 Mar 2026 00:41:49 +0100

Hi Pedro,

Am Mittwoch, 25. März 2026, 15:24:45 Mitteleuropäische Normalzeit schrieb Pedro Alves:
> Hi,
> 
> On 24/03/2026 14:18, Heiko Stuebner wrote:
> > Am Montag, 23. März 2026, 10:25:33 Mitteleuropäische Normalzeit schrieb Pedro Alves:
> >> +&hdmi_receiver {
> >> +	pinctrl-0 = <&hdmim1_rx_cec &hdmim1_rx_hpdin &hdmim1_rx_scl &hdmim1_rx_sda &hdmirx_det>;
> >> +	pinctrl-names = "default";
> >> +	hpd-gpios = <&gpio1 RK_PC6 GPIO_ACTIVE_LOW>;
> > 
> > as said before, please also add a pinctrl setting for this pin.
> > 
> > gpio1_c6 is not part of the main hdmirx set of pins, hence needs an
> > additional pinctrl entry to configure it as gpio and possibly set any
> > additional pull settings.
> > 
> > And yes the pinctrl-driver does "implcitly" set the gpio-mode when
> > a gpio is requested, but our more modern approach is to always have
> > a real pinctrl entry even for gpios.
> 
> I am probably getting confused by what you are asking here, but I don't
> understand what exactly I should add. There was already a pinctrl for
> hdmirx_det (which is what the gpio1_c6 pin is) present in the file,
> hence why I did not add it in this patch:
> 
> &pinctrl {
> 	/* ... */
> 	hdmirx {
> 		hdmirx_det: hdmirx-det {
> 			rockchip,pins = <1 RK_PC6 RK_FUNC_GPIO &pcfg_pull_none>;
> 		};
> 	};
> 	/* ... */
> };
> 
> Looking at the other boards, they do the same thing, but they call it
> hdmirx-5v-detection instead, but as discussed in v1 of this patch I
> ended up keeping the det naming to match the schematics.
> 
> Sorry if I am missing something, I don't have much experience with this,
> so I would really appreciate some extra information.

You didn't miss anything - I did :-) .

Not finding an addition to the pinctrl definitions in the patch
I misread the &hdmirx-det reference as the one defined in the core
rk3588-base-pinctrl, not realizing that the rock5-itx one was
already existing in the rock5-itx dts already.

Sorry about confusing you
Heiko